=== debian/changelog ===
kbd-chooser (0.54ubuntu3) warty; urgency=low

  * Bump keymap question priority to critical (closes: Warty #1426).

 -- Colin Watson <cjwatson@canonical.com>  Tue, 21 Sep 2004 21:28:37 +0100

kbd-chooser (0.54ubuntu2) warty; urgency=low

  * Backport from Debian (Thiemo Seufer, closes: Warty #1464):
    - Add amd64 keyboard definition to the Makefile, thanks Kurt Roeckx.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 19 Sep 2004 16:38:53 +0100

kbd-chooser (0.54ubuntu1) warty; urgency=low

  * Support UML by means similar to serial consoles, allowing configuration
    without a keyboard present

 -- Matt Zimmerman <mdz@debian.org>  Mon,  5 Jul 2004 15:20:34 -0700

kbd-chooser (0.54) unstable; urgency=low

  * Joshua Kwan
    - Add amd64 to Architecture list (Closes: #249364)
  * Alastair McKinstry
    - Fix default keyboard handling. Closes: #249164.
    - Don't include AT and USB keyboards on DECstations.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 May 2004 06:32:14 -0700

kbd-chooser (0.53) unstable; urgency=low

  * Fix calculation of default keymap by locale. Closes: #245477, #247466.
  * make kbd-chooser work with unicode maps. Closes: #247944.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 May 2004 19:07:16 +0100

kbd-chooser (0.52) unstable; urgency=low

  * Alastair McKinstry
    - On 2.6 kernels, detect sparc and amiga keyboards from /proc.
  * Stephen R. Marenka
    - Add sun3(x) m68k subarch.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 8 May 2004 15:10:24 +0100

kbd-chooser (0.51) unstable; urgency=low

  * Stephen R. Marenka
    - Fixed m68k exclusion for at keyboards, added q40 subarch.
    - Workaround adb keymap detection for 2.2 kernels.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2004 12:25:08 -0400

kbd-chooser (0.50) unstable; urgency=low

  * Matt Kraai
    - findfile.c: Do not find directories. Closes: #244997.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjrn Steensrud
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 12:53:30 -0400

kbd-chooser (0.49) unstable; urgency=low

  * Alastair McKinstry
    - Add initial HP HIL keyboard support
    - prebaseconfig: Only use Unicode Turkish keymaps for first stage
  * Joey Hess
    - Add a blank line to the end of templates-in, so the next file catted to
      it will end up in a different stanza (how fragile..)
  * Colin Watson
    - Fix ADB keymap detection logic: missing
      /proc/sys/dev/mac_hid/keyboard_sends_linux_keycodes indicates no ADB
      keymap support in the kernel.
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Alwin Meschede
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Davide Viti
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Nikolai Prokoschenko
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Apr 2004 11:17:31 -0400

kbd-chooser (0.48) unstable; urgency=low

  * Alastair McKinstry
    - findfile.c: re-include code to decompress keymaps.
      Needed to minimise memory usage.
    - Add Initial DEC keyboard support for mipsel.
   * Updated translations: 
     - Indonesian (id.po) by Parlin Imanuel Toh
     - Turkish (tr.po) by Osman Yüksel
     - Basque (eu.po) by Piarres Beobide Egaña
     - Galician (gl.po) by Héctor Fernández López 
     - Romanian (ro.po) by  Eddy Petrisor

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  5 Apr 2004 22:11:16 +0100

kbd-chooser (0.47) unstable; urgency=high

  * Alastair McKinstry
    - Fix regression: ensure console-archs always returns a value,
      Closes: #240171.
    - Improved AT-type keyboard detection on 2.6 kernels.
    - Don't offer mac USB keymaps on non-mac USB keyboards.
  * Translations:
    - Bosnian (bs.po) by Safir Šećerović

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Mar 2004 23:07:41 +0000

kbd-chooser (0.46) unstable; urgency=high

  * Updated translations: 
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Turkish (tr.po) by Osman Yüksel
  * Alastair McKinstry 
    - When using a serial console, ask "keyboard arch" question at low
      priority, defaulting to "none". Closes: #231219.
    - Also try to detect serial consoles from /proc/cmdline, to deal with
      UARTs that don't support TIOCGSERIAL.
    
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Mar 2004 21:32:00 +0000

kbd-chooser (0.45) unstable; urgency=low

  * Updated translation
    - Russian by Nikolai Prokoschenko

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Mar 2004 13:41:03 -0500

kbd-chooser (0.44) unstable; urgency=low

  * Alastair McKinstry
    - Avoid segfault when we didn't pick a preferred keyboard. 
    Closes: #234513.

