=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.1.16),  libdebian-installer4-dev, po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm m68k powerpc amd64
XB-Installer-Menu-Item: 12
Depends: ${shlibs:Depends}, console-keymaps, archdetect
Description: Detect a keyboard and select layout
 Try to auto-detect a keyboard, and select one for the user.
