## kbd-chooser 1.09ubuntu17

=== debian/changelog ===
kbd-chooser (1.09ubuntu17) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).
  * Update Romanian translation (thanks, Ovidiu Damian).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:02:50 +0100

kbd-chooser (1.09ubuntu16) hoary; urgency=low

  * Re-initialize a couple of global variables when setting the keymap.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 25 Mar 2005 00:15:09 +0100

kbd-chooser (1.09ubuntu15) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Maximilian Gerlach).
  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Indonesian translation (thanks, Yoppy Hidayanto).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:14:17 +0100

kbd-chooser (1.09ubuntu14) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 01:15:55 +0000

kbd-chooser (1.09ubuntu13) hoary; urgency=low

  * Fix translations properly (templates.pot *must* be in the source
    package).
  * Fix missing quote in German translation.
  * Update Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Mar 2005 23:17:45 +0000

kbd-chooser (1.09ubuntu12) hoary; urgency=low

  * Add an empty line after the keyboard name
    and change the prompt appropriately.
  * Fixed up the translations
    - Xhosa was somewhat broken

 -- Matthias Urlichs <smurf@debian.org>  Thu, 24 Mar 2005 22:04:59 +0100

kbd-chooser (1.09ubuntu11) hoary; urgency=low

  * Add draft Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:51:23 +0000

kbd-chooser (1.09ubuntu10) hoary; urgency=low

  * Fixed a regression: (Ubuntu #7790)
    Simply selecting the default keymap did precisely nothing.

 -- Matthias Urlichs <smurf@debian.org>  Sat, 19 Mar 2005 06:31:37 +0100

kbd-chooser (1.09ubuntu9) hoary; urgency=low

  * Always let the current language be the default in the main chooser
    window.
  * Add an input box to test the keyboard.
    - Extend mydebconf_default_set() with a flag so that existing values
      may be overwritten
  * Always go back to the main menu after walking the decision map
    so that the user sees which keyboard has been chosen.
  * Moved the decision-tree existence test to the main menu.
  * Removed the exit(0) call from the end of loadkeys_wrapper(),
    made the keymap loader callable multiple times. OUCH!

 -- Matthias Urlichs <smurf@debian.org>  Mon, 14 Mar 2005 08:53:32 +0100

kbd-chooser (1.09ubuntu8) hoary; urgency=low

  * Set the selection method's default correctly.
    - This broke preconfiguration.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 25 Feb 2005 16:34:10 +0100

kbd-chooser (1.09ubuntu7) hoary; urgency=low

  * Added German translation of new features.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 21 Feb 2005 18:17:11 +0100

kbd-chooser (1.09ubuntu6) hoary; urgency=low

  * Fix selecting a keyboard directly.
  * Removed BitKeeper gunk.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 18 Feb 2005 14:08:07 +0100

kbd-chooser (1.09ubuntu5) hoary; urgency=low

  * Added code+templates to ask for which keyboard selection method
    to use, if the file containing the decision tree is present.
    - Added German translation.
  * Run detect-keyboard (template: kbd-chooser/try) if told to do so.
  * Expanded the state machine to handle unimplemented and go-back results
    more correctly.
  * Killed translated_keyboard_get() -- cdebconf already does the
    translating for us.
  * Renamed mydebconf_get() to mydebconf_client(), and add a mydebconf_get()
    which actually calls debconf_get().

 -- Matthias Urlichs <smurf@debian.org>  Mon, 14 Feb 2005 21:00:07 +0100

kbd-chooser (1.09ubuntu4) hoary; urgency=low

  * Use AT keymaps on amd64 systems with USB keyboards, as was already done
    on i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jan 2005 13:25:41 +0000

kbd-chooser (1.09ubuntu3) hoary; urgency=low

  * Add link to prebaseconfig script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 20:22:02 +0000

kbd-chooser (1.09ubuntu2) hoary; urgency=low

  * Drop keymap question priority back to high.
  * This package is identical to kbd-chooser 1.09.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:53:03 +0000

kbd-chooser (1.09ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 13 Dec 2004 09:25:26 +0100

kbd-chooser (1.09) unstable; urgency=low

  * Joey Hess
    - Apply "patch 1" from fjp to skip looking at varying Driver field
      when detecting usb keyoards. Closes: #248855

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Dec 2004 17:59:07 -0500

kbd-chooser (1.08ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 11 Nov 2004 16:13:10 +0000

kbd-chooser (1.08) unstable; urgency=high

  * Joey Hess
    - Adding new questions to critical priority at this point breaks
      existing preseed setups, so undid Colin's change from the last version.
      Derived distros will have to deal with it in their own way until after
      sarge.
    - Add a note to TODO about this.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Nov 2004 12:22:26 -0500

kbd-chooser (1.07) unstable; urgency=high

  * Frans Pop
    - usb-kbd.c: several fixes:
      - Fix recognition of usb keyboards (actually add to and return the list)
      - Add recognition of usb keyboards behind an usbhid
      - Display AT-keymaps for usb keyboards on i386 and powerpc (prep & chrp)
      - Added some debug output to help trace problems; can be cleaned later
      - Some whitespace cleanup

