=== debian/changelog ===
kbd-chooser (1.10) unstable; urgency=high

  * Joey Hess
     - Patch from Eugeniy Meshcheryako to do the same for Ukrainian keymap
       as was earlier done for other non-unicode, non-latin-1 languages 
       in version 1.05. Closes: #296264

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Feb 2005 11:57:11 -0500
