## kbd-chooser 1.18ubuntu8

=== Makefile ===
--- 
+++ 
@@ -81,6 +81,10 @@
 
 debian/kbd-chooser.templates:  $(TEMPLATES)
 	cat $(TEMPLATES) >  $@
+	# give the new templates file the same mtime as the input file, so
+	# that po2debconf doesn't decide that it needs to run
+	# debconf-updatepo
+	touch -mr debian/kbd-chooser.templates-in $@
 	
 # loadkeys.o: separate rule since the flex output does not permit -Wall
 loadkeys.o:     loadkeys.c analyze.c
