=== debian/changelog ===
kbd-chooser (1.18ubuntu8) breezy; urgency=low

  * Set title and label in oem-config keyboard window to the translated
    descriptions of the same questions in the installer (Ubuntu #17366).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Oct 2005 21:46:52 +0100

kbd-chooser (1.18ubuntu7) breezy; urgency=low

  * Allow for not having a keyboard at all.

 -- Matthias Urlichs <smurf@debian.org>  Tue,  4 Oct 2005 08:03:08 +0200

kbd-chooser (1.18ubuntu6) breezy; urgency=low

  * Update Ubuntu-specific translations from Rosetta: Greek, Dutch,
    Norwegian Nynorsk, Slovak, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 17:34:12 +0100

kbd-chooser (1.18ubuntu5) breezy; urgency=low

  * Update Ubuntu-specific translations from Rosetta: Spanish, Hungarian,
    Portuguese.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Sep 2005 12:07:20 +0100

kbd-chooser (1.18ubuntu4) breezy; urgency=low

  * oem-config/keyboard.glade: Set window gravity to center.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 13:23:37 +0100

kbd-chooser (1.18ubuntu3) breezy; urgency=low

  * Backport from trunk:
    - If a keymap list entry has the same keymap name as a previous one but
      a different language list, create a new keymap for it. This is
      required to select the correct default for Croatian (closes: Ubuntu
      #14711).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 13:25:53 +0100

kbd-chooser (1.18ubuntu2) breezy; urgency=low

  * Set kbd-chooser/method to the translated description of
    kbd-chooser/do_select, rather than just "Select from full keyboard
    list", due to a cdebconf bug influencing the design of kbd-chooser.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 15:10:42 +0100

kbd-chooser (1.18ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  3 Aug 2005 11:16:41 +0100

kbd-chooser (1.18) unstable; urgency=low

  * mount -t usbdevfs is no longer supported; use mount -t usbfs instead.
    As 2.4.27 also supports the new format, we drop the old one; older
    kernels should no longer be relevant for Etch.

 -- Frans Pop <fjp@debian.org>  Tue,  2 Aug 2005 00:38:00 +0200

kbd-chooser (1.17ubuntu2) breezy; urgency=low

  * oem-config-keyboard: Don't fail if the current keymap doesn't match any
    of the current choices.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  2 Aug 2005 14:39:24 +0100

kbd-chooser (1.17ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Remove keyboard test UI from oem-config-keyboard; making it work
    involves messing with X keymaps, and is generally far too much pain at
    the moment.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Jul 2005 17:49:57 +0100

kbd-chooser (1.17) unstable; urgency=low

  * Add missing debian-installer/uml-console template.
  * Use di_system_subarch_analyze rather than forking archdetect.
  * Updated translations:
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 11:06:50 +0100

kbd-chooser (1.16ubuntu2) breezy; urgency=low

  * Simplify default choice handling in oem-config-keyboard.
  * Pass through return value from WizardStep.run(), and handle backups
    through kbd-chooser/method better.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Jul 2005 22:29:35 +0100

kbd-chooser (1.16ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Add oem-config-keyboard package, providing kbd-chooser as an oem-config
    module.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Jul 2005 11:17:15 +0100

kbd-chooser (1.16) unstable; urgency=low

  * Matt Kraai
    - Do not include <linux/keyboard.h>. (Closes: #317861)
    - Add self to Uploaders.

 -- Matt Kraai <kraai@debian.org>  Sun, 17 Jul 2005 06:12:44 -0700

kbd-chooser (1.15ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jul 2005 12:53:32 +0100

kbd-chooser (1.15) unstable; urgency=low

  * Colin Watson
    - Give debian/kbd-chooser.templates the same mtime as
      debian/kbd-chooser.templates-in, so that po2debconf doesn't decide
      that it needs to run debconf-updatepo on every binary package build.
    - Improve copyright file a little, thanks to lintian.
    - Squash various signedness warnings from gcc-4.0.
  * Frans Pop
    - Fix segfault if localechooser is not present by setting default
      for debian-installer/language. (Closes: #314721)
    - While we're at it, improve check for debian-installer/locale.
  * Updated translations: 
    - Vietnamese (vi.po) added by Clytie Siddall

 -- Christian Perrier <bubulle@debian.org>  Wed,  6 Jul 2005 14:25:00 +0200

kbd-chooser (1.14ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 May 2005 14:31:27 +0100

kbd-chooser (1.14) unstable; urgency=low

  * Colin Watson
    - Rename mydebconf_get() to mydebconf_client(), which is less
      gratuitously confusing.
  * Joey Hess
    - Fix path to archdetect.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team

 -- Joey Hess <joeyh@debian.org>  Mon, 23 May 2005 10:27:23 -0400

kbd-chooser (1.13ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 May 2005 13:00:31 +0100

kbd-chooser (1.13) unstable; urgency=low

  * Joey Hess
    - Call archdetect command instead of using debconf template.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Basque (eu.po) by Piarres Beobide
    - Hebrew (he.po) by Lior Kaplan
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes

 -- Joey Hess <joeyh@debian.org>  Sat, 21 May 2005 13:37:18 -0400

kbd-chooser (1.12ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 May 2005 14:03:06 +0100


