=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>
Build-Depends: debhelper (>= 4.2), libdebian-installer4-dev (>= 0.31), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm m68k powerpc amd64
XB-Installer-Menu-Item: 12
Depends: ${shlibs:Depends}, console-keymaps
Description: Detect a keyboard and select layout
XC-Package-Type: udeb

Package: oem-config-keyboard
Section: admin
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm m68k powerpc amd64
Depends: ${shlibs:Depends}, console-data (>= 2002.12.04dbs-49ubuntu2)
Enhances: oem-config
Description: Detect a keyboard and select layout
 This package provides a keyboard selection module for oem-config, using
 the same code as is used in the installer.
