=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 PACKAGE=kbd-chooser
+OCPACKAGE=oem-config-keyboard
 
 build: build-stamp
 build-stamp:
@@ -19,19 +20,28 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs
+	dh_installdirs -a
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/kbd-chooser
 	install -m0755 debian/prebaseconfig  debian/$(PACKAGE)/usr/lib/prebaseconfig.d/70kbd-chooser
 	install -m0755 debian/S55kbd-chooser debian/$(PACKAGE)/lib/debian-installer-startup.d/S55kbd-chooser
+	dh_install -p$(OCPACKAGE) kbd-chooser kbd-mode usr/lib/oem-config/
+	dh_install -p$(OCPACKAGE) oem-config/* usr/lib/oem-config/menu/
 
 binary-indep: 
 
+binary-arch: DH_OPTIONS=-a
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdebconf
+	dh_installdocs -p$(OCPACKAGE)
+	dh_installchangelogs -p$(OCPACKAGE)
+	dh_installdebconf -p$(PACKAGE)
+	sed -e 's,Template: debian-installer/kbd-chooser/title,Template: oem-config/menu/keyboard,' \
+		< debian/$(PACKAGE)/DEBIAN/templates \
+		> debian/$(OCPACKAGE)/usr/lib/oem-config/menu/keyboard.templates
 	dh_link
 	dh_strip
+	dh_compress
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
