## kbd-chooser 1.30ubuntu1

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,16 @@
 DEB_BUILD_OPTIONS := debug:$(DEB_BUILD_OPTIONS)
 endif
 
-CFLAGS := -Wall  -I.
+CFLAGS := -g -Wall  -I. -Werror
 ARCH := $(shell dpkg --print-architecture)
 
-OBJS := loadkeys.o findfile.o ksyms.o  getfd.o
+OBJS := 
+KBD_CHOOSER_APPLY_OBJS := loadkeys.o findfile.o ksyms.o getfd.o
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -g  -DDEBUG=1
 OBJS += xmalloc.o
+KBD_CHOOSER_APPLY_OBJS += xmalloc.o
 STRIP= /bin/true
 else
 CFLAGS +=  -DNDEBUG=1 -fomit-frame-pointer -Os
@@ -49,8 +51,12 @@
 KEYBOARDS := at usb sparc
 endif
 ifeq ($(ARCH),powerpc)
-CFLAGS +=  -DUSB_KBD -DAT_KBD -DAMIGA_KBD  -DMAC_KBD
+CFLAGS +=  -DUSB_KBD -DAT_KBD -DAMIGA_KBD -DMAC_KBD
 KEYBOARDS := at usb amiga mac
+endif
+ifeq ($(ARCH),ppc64)
+CFLAGS +=  -DUSB_KBD -DAT_KBD -DMAC_KBD
+KEYBOARDS := at usb mac
 endif
 ifeq ($(ARCH),arm)
 CFLAGS +=  -DAT_KBD -DUSB_KBD 
@@ -69,10 +75,14 @@
 TEMPLATES := debian/kbd-chooser.templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))
 OBJS += $(patsubst %, %-kbd.o, $(KEYBOARDS))
 
-all: kbd-chooser kbd-mode debian/kbd-chooser.templates
+all: kbd-chooser kbd-chooser-apply kbd-mode debian/kbd-chooser.templates
 
 kbd-chooser: ${OBJS} kbd-chooser.c
 	$(CC) $(CFLAGS) kbd-chooser.c -o $@ $(OBJS) $(LDOPTS)
+	$(STRIP) $@
+
+kbd-chooser-apply: $(KBD_CHOOSER_APPLY_OBJS) kbd-chooser-apply.c
+	$(CC) $(CFLAGS) -o $@ kbd-chooser-apply.c $(KBD_CHOOSER_APPLY_OBJS) $(LDOPTS)
 	$(STRIP) $@
 
 kbd-mode: getfd.o kbd-mode.c
@@ -86,17 +96,16 @@
 	# debconf-updatepo
 	touch -mr debian/kbd-chooser.templates-in $@
 	
-# loadkeys.o: separate rule since the flex output does not permit -Wall
 loadkeys.o:     loadkeys.c analyze.c
-	$(CC) -c $(CFLAGS) $(DEFS) $<
 
 clean:
-	rm -f *~ *.o kbd-mode kbd-chooser analyze.c loadkeys.c demo demo.templates *#
+	rm -f *~ *.o kbd-mode kbd-chooser kbd-chooser-apply analyze.c loadkeys.c demo demo.templates *#
 	rm -f debian/kbd-chooser.templates
 
 install:
 	mkdir -p $(DESTDIR)/usr/bin
 	cp kbd-chooser $(DESTDIR)/usr/bin/kbd-chooser
+	cp kbd-chooser-apply $(DESTDIR)/usr/bin/kbd-chooser-apply
 	cp kbd-mode $(DESTDIR)/usr/bin/kbd-mode
 
 .PHONY: demo
