=== debian/changelog ===
kbd-chooser (1.30ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Backport from trunk:
    - Remove yyunput() from generated flex scanner (causes compiler
      warning).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 14:03:04 +0100

kbd-chooser (1.30) unstable; urgency=low

  [ Colin Watson ]
  * Const-correctness in findfile_in_dir() and findfile().
  * Remove redeclaration of findfile() in loadkeys.y.

  [ Theppitak Karoonboonyanan ]
  * Add Thai (tis-620) keysyms support. Closes: #377355.

  [ Frans Pop ]
  * Add support for ppc64. Closes: #339716.
  * Execute S55kbd-chooser in debian-installer.d where it belongs so that
    UTF-8 support actually gets enabled. Closes: #365308.
  * Add Lintian override for standards-version.

  [ Philip Hands ]
  * Add isinstallable: to delay configuration if auto-install/enabled=true.

  [ Davide Viti ]
  * Enable "iso-8859-7" needed to install Greek keyboard. Closes: #382697.
  * Disable "mazovia", "koi8", "cp1250" keysyms which are currently unused;
    re-enabling can be done in config.h by uncommenting the right define(s).

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Icelandic (is.po) by David Steinn Geirsson
  * Panjabi (pa.po) by A S Alam
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Wed, 23 Aug 2006 00:04:47 +0200

kbd-chooser (1.29ubuntu2) edgy; urgency=low

  * Remove oem-config-keyboard package, moved into oem-config proper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Aug 2006 16:44:16 +0100

kbd-chooser (1.29ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 15:24:32 +0100

kbd-chooser (1.29) unstable; urgency=low

  [ Frans Pop ]
  * usb-kbd.c: Switch back to using USB-MAC keymaps for powerpc as otherwise
    the mode switch key (for accented characters) is mapped to the wrong key.
  * Move finish-install script to base-installer to allow inclusion of keymap
    in initrd. Based on patch from David Härdeman. Closes: #376310.

  [ Colin Watson ]
  * Make xstrdup() prototype const-correct.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Galician (gl.po) by Jacobo Tarrio

 -- Frans Pop <fjp@debian.org>  Mon,  3 Jul 2006 22:53:19 +0200

kbd-chooser (1.28) unstable; urgency=low

  * Fix long broken bootkbd boot option; needs to run kbd-chooser inside a
    debconf instance. Closes: #373650

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Jun 2006 20:09:15 -0400

kbd-chooser (1.27) unstable; urgency=low

  [ Colin Watson ]
  * Fix memory leak: debconf_set doesn't need to be given copies of strings.

  [ Joey Hess ]
  * prebaseconfig transition

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Georgian (ka.po) by Aiet Kolkhi
  * Lithuanian (lt.po) by Kęstutis Biliūnas

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:02:21 -0400

kbd-chooser (1.26) unstable; urgency=low

  [ Colin Watson ]
  * Escape commas while substituting descriptions into choices lists
    (closes: https://launchpad.net/bugs/40042).

  [ Frans Pop ]
  * usb-kbd.c: Add generic AT keyboard where we used to add a generic USB
    keyboard. Some apple systems that have ADB keyboards depended on the
    generic line for keyboard configuration as ADB keyboards themselves are
    not actually detected.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Danish (da.po) by Claus Hindsgaul
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Leang Chumsoben
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Čuhalev
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Sat, 13 May 2006 00:56:36 +0200

kbd-chooser (1.25) unstable; urgency=low

  * No longer offer mac-usb keymaps; force any usb keyboard to use AT
    keymaps instead.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Galician (gl.po) by Jacobo Tarrio

 -- Frans Pop <fjp@debian.org>  Tue, 28 Mar 2006 18:47:45 +0200

kbd-chooser (1.24) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add armeb to the Architecture field.

  [ Joey Hess ]
  * Rebuilt with current libd-i and cdebconf for proper udeb deps.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Hok Kakada
  * Latvian (lv.po) by Aigars Mahinovs
  * Punjabi (Gurmukhi) (pa_IN.po) by Amanpreet Singh Alam
  * Romanian (ro.po) by Eddy Petrişor
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:52:24 -0500

kbd-chooser (1.23ubuntu18) dapper; urgency=low

  * Explicitly reset kbd-chooser/method on the occasions when we need to do
    so to avoid infinite loops, rather than forcibly resetting it nearly
    every time; fixes preseeding (closes: Malone #31661).
  * Fix segfault if localechooser hasn't been run yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 May 2006 21:43:08 +0100

kbd-chooser (1.23ubuntu17) dapper; urgency=low

  * Change button order in oem-config's glade file.  Malone #40226.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 15 May 2006 12:20:25 +0200


