=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armeb m68k powerpc ppc64 amd64
XB-Installer-Menu-Item: 12
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps, cdebconf-newt-detect-keys
Description: Detect a keyboard and select layout
XC-Package-Type: udeb
